#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL);
    string s,r="";
    cin>>s;
    int a,b;
    cin>>a>>b;
    if(a==b+1)
    {
        for(int i=0;i<b;i++)
            r+=s;
        r+=s[0];
        cout<<r;
    }
    else if(a+1==b)
    {
        r+=s[1];
        for(int i=0;i<a;i++)
            r+=s;
        cout<<r;
    }
    else if(a==b)
    {
        for(int i=0;i<b;i++)
            r+=s;
        cout<<r;
    }
    else cout<<"nemoguce";
}